import Config, { TTagTranslations, TTagCompactTranslations } from './config';
export declare class Context {
    context: string;
    constructor(context: string);
    getContext(): string;
}
export type StringWithRawData = string & {
    _strs: TemplateStringsArray;
    _exprs: unknown[];
};
export declare function msgid(strings: TemplateStringsArray, ...exprs: number[]): StringWithRawData;
export type LocaleData = TTagTranslations | TTagCompactTranslations;
export declare class TTag {
    private conf;
    private ctx;
    constructor({ config, context }?: {
        config: Config;
        context?: Context;
    });
    private maybeDedent;
    private findTransObj;
    private findTranslation;
    setDefaultLang(lang: string): void;
    useLocales(locales: string[]): void;
    setDedent(value: boolean): void;
    useLocale(locale: string): void;
    addLocale(locale: string, data: TTagTranslations | TTagCompactTranslations): void;
    t(strings: TemplateStringsArray, ...exprs: any[]): string;
    jt(strings: TemplateStringsArray, ...exprs: any[]): any[];
    ngettext(...args: [StringWithRawData, ...string[], number]): string;
    gettext(id: string): string;
    _: (id: string) => string;
    private copyWithNewContext;
    c(context: string): {
        t: (strings: TemplateStringsArray, ...exprs: (string | number | null | undefined)[]) => string;
        jt: (strings: TemplateStringsArray, ...exprs: unknown[]) => any[];
        gettext: (id: string) => string;
        ngettext: (...args: [StringWithRawData, ...string[], number]) => string;
    };
}
export declare const c: TTag['c'];
export declare const _: TTag['_'];
export declare const addLocale: TTag['addLocale'];
export declare const gettext: TTag['gettext'];
export declare const jt: TTag['jt'];
export declare const ngettext: TTag['ngettext'];
export declare const setDedent: TTag['setDedent'];
export declare const setDefaultLang: TTag['setDefaultLang'];
export declare const t: TTag['t'];
export declare const useLocale: TTag['useLocale'];
export declare const useLocales: TTag['useLocales'];
